/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.anl.aps.dm.portal.exceptions;

import gov.anl.aps.dm.portal.constants.DmStatus;

/**
 *
 * @author bfrosik
 */
public class MissingProperty extends DmPortalException
{
    /**
     * Constructor.
     */
    public MissingProperty() 
    {
        super();
        setErrorCode(DmStatus.DM_MISSING_PROPERTY);
    }

    /**
     * Constructor.
     *
     * @param message Error message
     */
    public MissingProperty(String message) 
    {
        super(message);
        setErrorCode(DmStatus.DM_MISSING_PROPERTY);
    }

    /**
     * Constructor.
     *
     * @param throwable Throwable object
     */
    public MissingProperty(Throwable throwable) 
    {
        super(throwable);
        setErrorCode(DmStatus.DM_MISSING_PROPERTY);
    }

    /**
     * Constructor.
     *
     * @param message Error message
     * @param throwable Throwable object
     */
    public MissingProperty(String message, Throwable throwable) 
    {
        super(message, throwable);
        setErrorCode(DmStatus.DM_MISSING_PROPERTY);
    }
}

