#!/usr/bin/env python

from dm.common.api.dmRestApi import DmRestApi
from dm.common.utility.configurationManager import ConfigurationManager

class CatRestApi(DmRestApi):
    """ Base CAT DM REST api class. """

    def __init__(self, username=None, password=None, host=None, port=None, protocol=None):
        if host == None:
            host = ConfigurationManager.getInstance().getCatWebServiceHost()
        if port == None:
            port = ConfigurationManager.getInstance().getCatWebServicePort()
        DmRestApi.__init__(self, username, password, host, port, protocol)

#######################################################################
# Testing.

if __name__ == '__main__':
    pass


