#!/usr/bin/env python

#
# Authentication error class.
#

#######################################################################

from dm.common.constants import dmStatus 
from dm.common.exceptions.dmException import DmException

#######################################################################

class AuthenticationError(DmException):
    def __init__ (self, error='', **kwargs):
        DmException.__init__(self, error, dmStatus.DM_AUTHENTICATION_ERROR, **kwargs)
